Bug 232790 - Review Request: ming - SWF output library
Review Request: ming - SWF output library
Status: CLOSED DUPLICATE of bug 1101043
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
: 197489 (view as bug list)
Depends On:
Blocks: 455553
  Show dependency treegraph
 
Reported: 2007-03-17 17:07 EDT by Balint Cristian
Modified: 2014-06-09 03:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-25 22:07:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Balint Cristian 2007-03-17 17:07:05 EDT
Spec URL: http://openrisc.rdsor.ro/ming.spec
SRPM URL: http://openrisc.rdsor.ro/ming-0.4.0-0.1.20070316.src.rpm
Description: SWF output library
Comment 1 Balint Cristian 2007-03-17 17:17:40 EDT
- fix n-v-r
- add php-devel to buildreq.

Spec URL: http://openrisc.rdsor.ro/ming.spec
SRPM URL: http://openrisc.rdsor.ro/ming-0.4.0-0.2.20070316cvs.src.rpm
Comment 2 Patrice Dumas 2007-03-17 17:19:09 EDT
*** Bug 197489 has been marked as a duplicate of this bug. ***
Comment 3 Patrice Dumas 2007-03-17 17:37:00 EDT
I'd prefer if you are the maintainer. I'd happily be comaintainer,
if you want to. I follow upstream.

However, I am not persuaded that ming (even a cvs snapshot) is ready
for packaging. It is certainly not that far, and much more ready
than what I proposed, but there are still some problematic
issues.

The most problematic are license issues: java stuff isn't free, 
and php stuff is covered by a GPL incompatible license.
Comment 4 Patrice Dumas 2007-03-17 18:30:07 EDT
I have kept on updating my spec for the beta ming release. I
have uploaded my latest version here:

http://www.environnement.ens.fr/perso/dumas/ming.spec

I don't remember how polished it is.
Comment 5 Patrice Dumas 2007-06-19 17:36:06 EDT
The fact that php stuff is covered by a GPL incompatible license
is in fact not an issue. The java binding has been removed.
I found another file that may be problematic, 
util/gif2dbl.c
with header:

/* gif2dbl: convert a gif file to a DBL file using a RGB palette
 * for non-transparent gifs and RGBA palette for transparent ones.
 *
 * author: Raffaele Sena (raff[ AT ]aromatic.org)
 *
 * (derived from gif2mask.c)
 */

Since it has no license it normally means a restrictive license.
I think that in that case the best would be to contact the
author to have a clarification.
Comment 6 Balint Cristian 2007-06-20 10:02:09 EDT
ok.
Thanks Patrice !

i try rewrite it ... Or search for replace, and try upstream it !
Comment 7 Jason Tibbitts 2008-01-19 18:11:55 EST
What's going on with this ticket?  It's marked as being under review, but
nobody's assigned to it.  Plus it's been seven months since the last comment. 
Patrice, if you're reviewing this, please assign it to yourself.  Otherwise I
guess it should go back onto the list of new review tickets or, if nobody's
going to work on it, it should be closed.
Comment 8 Patrice Dumas 2008-01-20 06:01:36 EST
The release is still beta. I think we should wait for the
final release. I can review it, but since the final release
is still not there, I'll reset it to new. I'll post something
once there is a release anyway.
Comment 9 Jason Tibbitts 2008-02-22 20:48:16 EST
It's been another month.  Has anything happened upstream?
Comment 10 Mamoru TASAKA 2008-02-23 04:40:32 EST
CC-ing to Balint's new mail address.
Comment 11 Patrice Dumas 2008-02-23 06:54:55 EST
Upstream is moving on and closer to a release, but still not there.
I think we still should wait a bit.
Comment 12 Jason Tibbitts 2008-04-04 17:43:09 EDT
I guess it's time to ping again.  I see that upstream is still active but
there's been no news of a release on their web site.
Comment 13 Patrice Dumas 2008-04-04 17:50:44 EDT
I am on the mailing list and indeed it is getting closer. I'd say a couple of
weeks or even less.
Comment 14 Jason Tibbitts 2008-06-03 18:25:59 EDT
Well, it's been a couple of months; are they actually making any progress or
have things stalled out again?
Comment 15 Patrice Dumas 2008-06-04 09:16:36 EDT
There are progresses. But still no release.
Comment 16 Ian Weller 2008-07-16 01:46:32 EDT
ming is now a release candidate. (0.4.0, rc1)

I've been asked to package Pencil (http://les-stooges.org/pascal/pencil/) for
Fedora, but it requires ming. Hopefully this can be packaged soon.
Comment 17 Balint Cristian 2008-10-09 02:58:11 EDT
Folks,

'September 17th 2008 - Ming 0.4.2 (0.4 Release Candidate 2) has been Released!'

 - At last in .fc10 we can have it.
 - I am interested to have it as mapserver dependency
 - I would like to give away this review-request if dont mind (i remain as Cc)
 
 It's not the first one package walking in baby-steps and its already in fc10, I don't see any technical/social stopper to proceed with an .rc2 whatever.
Comment 18 Patrice Dumas 2008-10-09 04:05:20 EDT
Last rc I tested, there was still an issue with the perl bindings. As 
far as I know this is the only issue remaining that I would prefer to
have fixed before packaging in fedora. Sourceforge cvs doesn't work
for me today so I can't check that it is fixed or not.
Comment 19 Patrice Dumas 2008-10-09 05:52:38 EDT
My latest srpm is at:
http://www.environnement.ens.fr/perso/dumas/fc-srpms/ming-0.4.2-1.fc10.src.rpm

But if you uncomment the %check section you'll see that the perl tests
fail.
Comment 20 David Woodhouse 2008-11-02 05:39:45 EST
Perhaps we should ship it without the perl bindings to start with, and add them only when they start working? If we're sure the bug is only in the bindings and not elsewhere, that is.
Comment 21 Patrice Dumas 2008-11-02 06:25:13 EST
I think that we should ship the broken perl bindings if we ship something.
Maybe we should not need to wait for this issue to be solved, since it
has been so long.

Cristian, if you want to be the maintainer, please submit something, I can do the review.
Comment 22 Jason Tibbitts 2009-11-12 21:59:19 EST
So it's been over a year since the last comment.  I'm thinking that it's time to close this out, and I'll do that soon if nobody objects.
Comment 23 Mamoru TASAKA 2009-12-02 09:42:09 EST
Should we close this bug now?
Comment 24 Jason Tibbitts 2010-01-25 22:07:25 EST
Soon came and went quite some time ago; closing.
Comment 25 Christopher Meng 2014-06-09 03:24:10 EDT

*** This bug has been marked as a duplicate of bug 1101043 ***

Note You need to log in before you can comment on or make changes to this bug.